Home - Java Programming - Exceptions

Exceptions Online Exam Quiz

Important questions about Exceptions. Exceptions MCQ questions with answers. Exceptions exam questions and answers for students and interviews.

1. Given that EOFException and FileNotFoundException are both subclasses of IOException , and further assuming this block of code is placed into a class, which statement is most true concerning this code? System.out.print("Start "); try { System.out.print("Hello world"); throw new FileNotFoundException(); } System.out.print(" Catch Here "); /* Line 7 */ catch(EOFException e) { System.out.print("End of file exception"); } catch(FileNotFoundException e) { System.out.print("File not found"); }

Options

A : The code will not compile.

B : Code output: Start Hello world File Not Found.

C : Code output: Start Hello world End of file exception.

D : Code output: Start Hello world Catch Here File not found.

2. Given that all methods of class FileOutputStream , including close() , throw an IOException , which of these is true? import java.io.*; public class MyProgram { public static void main(String args[]) { FileOutputStream out = null; try { out = new FileOutputStream("test.txt"); out.write(122); } catch(IOException io) { System.out.println("IO Error."); } finally { out.close(); } } }

Options

A : This program will compile successfully.

B : This program fails to compile due to an error at line 4.

C : This program fails to compile due to an error at line 6.

D : This program fails to compile due to an error at line 18.

3. Which statement is true?

Options

A : A try statement must have at least one corresponding catch block.

B : Multiple catch statements can catch the same class of exception more than once.

C : An Error that might be thrown in a method must be declared as thrown by that method, or be handled within that method.

D : Except in case of VM shutdown, if a try block starts to execute, a corresponding finally block will always start to execute.

5. Which answer most closely indicates the behavior of the program? public class MyProgram { public static void throwit() { throw new RuntimeException(); } public static void main(String args[]) { try { System.out.println("Hello world "); throwit(); System.out.println("Done with try block "); } finally { System.out.println("Finally executing "); } } }

Options

A : The program will not compile.

B : The program will print Hello world, then will print that a RuntimeException has occurred, then will print Done with try block, and then will print Finally executing.

C : The program will print Hello world, then will print that a RuntimeException has occurred, and then will print Finally executing.

D : The program will print Hello world, then will print Finally executing, then will print that a RuntimeException has occurred.

6. At Point X on line 5, which code is necessary to make the code compile? public class ExceptionTest { class TestException extends Exception {} public void runTest() throws TestException {} public void test() /* Point X */ { runTest(); } }

Options

A : No code is necessary.

B : throws Exception

C : catch ( Exception e )

D : throws RuntimeException

7. Which four can be thrown using the throw statement? Error Event Object Throwable Exception RuntimeException

Options

A : 1, 2, 3 and 4

B : 2, 3, 4 and 5

C : 1, 4, 5 and 6

D : 2, 4, 5 and 6

1. What will be the output of the program? public class X { public static void main(String [] args) { try { badMethod(); System.out.print("A"); } catch (Exception ex) { System.out.print("B"); } finally { System.out.print("C"); } System.out.print("D"); } public static void badMethod() {} }

Options

A : AC

B : BC

C : ACD

D : ABCD

2. What will be the output of the program? public class RTExcept { public static void throwit () { System.out.print("throwit "); throw new RuntimeException(); } public static void main(String [] args) { try { System.out.print("hello "); throwit(); } catch (Exception re ) { System.out.print("caught "); } finally { System.out.print("finally "); } System.out.println("after "); } }

Options

A : hello throwit caught

B : Compilation fails

C : hello throwit RuntimeException caught after

D : hello throwit caught finally after

3. What will be the output of the program? public class X { public static void main(String [] args) { try { badMethod(); System.out.print("A"); } catch (Exception ex) { System.out.print("B"); } finally { System.out.print("C"); } System.out.print("D"); } public static void badMethod() { throw new Error(); /* Line 22 */ } }

Options

A : ABCD

B : Compilation fails.

C : C is printed before exiting with an error message.

D : BC is printed before exiting with an error message.

4. What will be the output of the program? public class Foo { public static void main(String[] args) { try { return; } finally { System.out.println( "Finally" ); } } }

Options

A : Finally

B : Compilation fails.

C : The code runs with no output.

D : An exception is thrown at runtime.

5. What will be the output of the program? public class MyProgram { public static void main(String args[]) { try { System.out.print("Hello world "); } finally { System.out.println("Finally executing "); } } }

Options

A : Nothing. The program will not compile because no exceptions are specified.

B : Nothing. The program will not compile because no catch clauses are specified.

C : Hello world.

D : Hello world Finally executing

6. What will be the output of the program? public class Test { public static void aMethod() throws Exception { try /* Line 5 */ { throw new Exception(); /* Line 7 */ } finally /* Line 9 */ { System.out.print("finally "); /* Line 11 */ } } public static void main(String args[]) { try { aMethod(); } catch (Exception e) /* Line 20 */ { System.out.print("exception "); } System.out.print("finished"); /* Line 24 */ } }

Options

A : finally

B : exception finished

C : finally exception finished

D : Compilation fails

7. What will be the output of the program? public class X { public static void main(String [] args) { try { badMethod(); System.out.print("A"); } catch (RuntimeException ex) /* Line 10 */ { System.out.print("B"); } catch (Exception ex1) { System.out.print("C"); } finally { System.out.print("D"); } System.out.print("E"); } public static void badMethod() { throw new RuntimeException(); } }

Options

A : BD

B : BCD

C : BDE

D : BCDE

8. What will be the output of the program? try { int x = 0; int y = 5 / x; } catch (Exception e) { System.out.println("Exception"); } catch (ArithmeticException ae) { System.out.println(" Arithmetic Exception"); } System.out.println("finished");

Options

A : finished

B : Exception

C : Compilation fails.

D : Arithmetic Exception

9. What will be the output of the program? class Exc0 extends Exception { } class Exc1 extends Exc0 { } /* Line 2 */ public class Test { public static void main(String args[]) { try { throw new Exc1(); /* Line 9 */ } catch (Exc0 e0) /* Line 11 */ { System.out.println("Ex0 caught"); } catch (Exception e) { System.out.println("exception caught"); } } }

Options

A : Ex0 caught

B : exception caught

C : Compilation fails because of an error at line 2.

D : Compilation fails because of an error at line 9.

10. What will be the output of the program? public class X { public static void main(String [] args) { try { badMethod(); /* Line 7 */ System.out.print("A"); } catch (Exception ex) /* Line 10 */ { System.out.print("B"); /* Line 12 */ } finally /* Line 14 */ { System.out.print("C"); /* Line 16 */ } System.out.print("D"); /* Line 18 */ } public static void badMethod() { throw new RuntimeException(); } }

Options

A : AB

B : BC

C : ABC

D : BCD

Java Programming more Online Exam Quiz

Copyright © 2021
Exam-GK-MCQ-Questions.Com | Contact Us | Privacy Policy | Terms of Use | Sitemap | 0.019996166229248